/*
 * Copyright 2006-2007 Queplix Corp.
 *
 * Licensed under the Queplix Public License, Version 1.1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.queplix.com/solutions/commercial-open-source/queplix-public-license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 *
 */

package com.queplix.core.modules.jeo.gen;

import com.queplix.core.modules.jeo.JEObject;

import java.util.Date;

/**
 * Image object JEO interface.
 *
 * @author [ALB] Baranov Andrey
 * @version $Revision: 1.1.1.1 $ $Date: 2005/09/12 15:30:47 $
 */

public interface ImageObject extends JEObject {
    Long getImage_id();

    String getFileName();

    String getFolder();

    Long getCreator_id();

    Long getModifier_id();

    Date getCreated();

    Date getModified();

    Long getFile_size();

    void setImage_id(Long imageId);

    void setFilename(String fileName);

    void setFolder(String folder);

    void setCreator_id(Long creatorId);

    void setModifier_id(Long modifierId);

    void setCreated(Date created);

    void setModified(Date modified);

    void setFile_size(Long fileSize);
}
